# class FormData

#### package js.html

Available on HTML5

The `FormData` interface provides a way to easily construct a set of key/value pairs representing form fields and their values, which can then be easily sent using the `XMLHttpRequest.send()` method. It uses the same format a form would use if the encoding type were set to `"multipart/form-data"`.

Documentation FormData by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/FormData

### Constructor

###

`new (?form:FormElement)`

Throws:

`null` | DOMError

### Methods

###

`append (name:String, value:String):Void`

`append (name:String, value:Blob, ?filename:String):Void`

Throws:

`null` | DOMError

###

`delete_ (name:String):Void`

###

`entries ():FormDataIterator`

Throws:

`null` | DOMError

###

`forEach (callback:Dynamic, ?thisArg:Dynamic):Void`

Throws:

`null` | DOMError

###

`get (name:String):EitherType<Blob, String>`

Returns the first value associated with a given key from within a `FormData` object.

###

`getAll (name:String):Array<EitherType<Blob, String>>`

Returns an array of all the values associated with a given key from within a `FormData`.

###

`has (name:String):Bool`

Returns a boolean stating whether a `FormData` object contains a certain key/value pair.

###

`keys ():FormDataIterator`

Throws:

`null` | DOMError

###

`set (name:String, value:String):Void`

`set (name:String, value:Blob, ?filename:String):Void`

Throws:

`null` | DOMError

###

`values ():FormDataIterator`

Throws:

`null` | DOMError